Map.ID

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class Map.ID

    java.lang.Object
      |
      +--javax.help.Map.ID

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Map

public static final class Map.ID
extends java.lang.Object
implements java.io.Serializable

An ID is a pair of String, HelpSet. An ID fully identifies a "location" within a HelpSet.

See Also:
  Serialized Form

Field Summary
`HelpSet` | `hs`
`java.lang.String` | `id`

Method Summary
`static Map.ID` | `create(java.lang.String id, HelpSet hs)` A location within a HelpSet.
`boolean` | `equals(java.lang.Object o)` Determines if two IDs are equal.
`HelpSet` | `getHelpSet()` Getter for property hs.
`java.lang.String` | `getIDString()` Getter for property id.
`java.net.URL` | `getURL()` Returns the URL that the Map.ID refers to.
`java.lang.String` | `toString()` Gets an external represenation of an ID.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    public java.lang.String id

### hs

    public HelpSet hs

Method Detail

### create

    public static Map.ID create(java.lang.String id,
                                HelpSet hs)
                         throws BadIDException

  A location within a HelpSet. If id or hs are null, a null ID is returned.

  Parameters:
    `id` - The String
    `hs` - The HelpSet
  Throws:
    `BadIDException` - if String is not within the Map of the HelpSet.

### getHelpSet

    public HelpSet getHelpSet()

  Getter for property hs.

  Returns:
    Value of property hs.

### getIDString

    public java.lang.String getIDString()

  Getter for property id.

  Returns:
    Value of property id.

### getURL

    public java.net.URL getURL()
                        throws java.net.MalformedURLException

  Returns the URL that the Map.ID refers to.

  Returns:
    URL The matching URL. Null if the map cannot solve the ID.
  Throws:
    `java.net.MalformedURLException` - if the URL is malformed
  See Also:
    `Map.getURLFromID(javax.help.Map.ID id)`

### equals

    public boolean equals(java.lang.Object o)

  Determines if two IDs are equal.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - The object to compare.

### toString

    public java.lang.String toString()

  Gets an external represenation of an ID.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD